<?php
	
	include_once( realpath( dirname( __FILE__ ) ) . "/../../../../fonctions/authplugins.php" );
	
	autorisation("colissimoaccess");
	
	include_once( realpath( dirname( __FILE__ ) ) . "/../../../../classes/Modules.class.php" );
	
	$moduleColissimoAccess = new Modules();
	$moduleColissimoAccess->charger( 'colissimoaccess' );
	
	$objColissimoAccess = new Colissimoaccess();
	$listeTarifs = $objColissimoAccess->getTarifs();
	$tarifMax = $objColissimoAccess->getTarifMax();
	
?>

	<div id="contenu_int"> 
	
		<p>
			<a href="./accueil.php" class="lien04">Accueil </a>
			<img src="gfx/suivant.gif" width="12" height="9" border="0" />
			<a href="./module_liste.php" class="lien04">Liste des modules</a>
			<img src="gfx/suivant.gif" width="12" height="9" border="0" />
			<a href="./module.php?nom=colissimoaccess" class="lien04">Colissimo Access</a>
			<img src="gfx/suivant.gif" width="12" height="9" border="0" />
			Tarifs
		</p>
		
		<?php
			
			$afficherMessages = "";
			foreach ( $messages as $message ) {
			
				$afficherMessages = "
					<p class=\"" . $message['classe'] . "\">" . $message['message'] . "</p>
				";
			}
			echo $afficherMessages;
			
		?>
		
		<div class="entete_liste">
		
			<div class="titre">Tarifs</div>
			<div class="fonction_ajout">
				<a href="./module.php?nom=colissimoaccess&amp;vue=tarif" style="font-variant: small-caps ;">Ajouter un tarif</a>
			</div>
			
		</div>
		
		<ul id="Nav">
			<li style="height:25px; width:100px; border-left:1px solid #96A8B5;">

			</li>
			<li style="height:25px; width:200px; border-left:1px solid #96A8B5;">
				Poids max <small>(kg)</small>
			</li>
			<li style="height:25px; width:200px; border-left:1px solid #96A8B5;">
				Tarif
			</li>
			<li style="height:25px; width:240px; border-left:1px solid #96A8B5;"></li>
			<li style="height:25px; width:90px; border-left:1px solid #96A8B5;"></li>
			<li style="height:25px; width:90px; border-left:1px solid #96A8B5;">Suppr.</li>
		</ul>
		
		<?php
		
			$indexLigne = 0;
			foreach ( $listeTarifs as $tarif ) {
			
				$classeLigne = ( ( $indexLigne % 2 ) != 0 ) ? 'ligne_fonce_rub' : 'ligne_claire_rub';
				$indexLigne++;
		
		?>
		<div id="resultarifs">
		
			<ul class="<?php echo $classeLigne; ?>">
				<li style="width:93px;"></li>
				<li style="width:193px;"><span id="poidsmax_<?php echo $tarif->id; ?>" class="texte_edit"><?php echo $tarif->poidsmax; ?></span></li>
				<li style="width:193px;"><span id="tarif_<?php echo $tarif->id; ?>" class="texte_edit"><?php echo $tarif->tarif; ?></span></li>
				<li style="width:233px;">
					&nbsp;
				</li>
				<li style="width:83px;">
					<a href="./module.php?nom=colissimoaccess&amp;vue=tarif&amp;id=<?php echo $tarif->id; ?>" style="font-variant: small-caps ;">Editer</a>
				</li>
				<li style="width:83px; text-align:center;">
					<a href="./module.php?nom=colissimoaccess&amp;action=supprimer_tarif&amp;id=<?php echo $tarif->id; ?>"><img src="gfx/supprimer.gif" width="9" height="9" border="0" /></a>
				</li>
			</ul>
			
		</div>
		<?php
		
			}
			
			$classeLigne = ( ( $indexLigne % 2 ) != 0 ) ? 'ligne_fonce_rub' : 'ligne_claire_rub';
		
		?>
		
		<div id="resultarifmax">
		
			<form action="module.php?nom=colissimoaccess" method="post">
				
				<input type="hidden" name="nom" value="colissimoaccess" />
				<input type="hidden" name="vue" value="tarifs" />
				<input type="hidden" name="action" value="editer_tarifmax" />
				
				<ul class="<?php echo $classeLigne; ?>">
					<li style="width: 93px;"></li>
					<li style="width: 193px;">
						Au delà
					</li>
					<li style="width: 193px;">
						<input type="text" name="tarif" value="<?php echo $tarifMax; ?>" />
					</li>
					<li style="width: 233px;">&nbsp;</li>
					<li style="width: 180px;">
						<input type="submit" value="Valider" />
					</li>
				</ul>
			
			</form>
			
		</div>
		
		<p class="configuration" style="margin-top: 20px; padding: 8px 16px 64px 16px; font-size: 12px; font-weight: bold; background: url(../client/plugins/colissimoaccess/images/logo_colissimo.png) no-repeat right bottom;">
			
			<span>Avez-vous pensé à : </span><br />
			<a href="./transport.php?id=<?php echo $moduleColissimoAccess->id; ?>#lzone">Modifier les zones que ce transport délivre</a><br />
			
		</p>
		
	</div>
	